Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.logging
Class NonCatalogLogger

    java.lang.Object
      |
      +--weblogic.logging.NonCatalogLogger

public class NonCatalogLogger
extends java.lang.Object

This class provides application services for logging error messages to the WebLogic Server log. The name, location, and other properties of the log file are determined by the LogMBean for the server

All methods which take a `Throwable` argument, print the stack trace in the error log.

Client Logging:

This class is also intended for use by client code not running within a WebLogic Server. In that case, each client JVM creates its own log file. The logging properties of clients are configured with Java system properties: weblogic.log.attributeInLogMBean=value.

For logging internationalized messages, use `catalogNameLogger`, generated using `i18ngen`. See the BEA WebLogic Server Internationalization Guide for instructions.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `LogMBean`, weblogic.management.logging

Constructor Summary
`NonCatalogLogger(java.lang.String mySubsystem)`

Method Summary
`void` | `debug(java.lang.String msg)` Log a debug message.
`void` | `debug(java.lang.String msg, java.lang.Throwable t)`
`void` | `error(java.lang.String msg)` Log a message with severity 'Error'
`void` | `error(java.lang.String msg, java.lang.Throwable t)`
`void` | `info(java.lang.String msg)` Log an informational message.
`void` | `info(java.lang.String msg, java.lang.Throwable t)`
`void` | `warning(java.lang.String msg)` Log a message with severity 'Warning'
`void` | `warning(java.lang.String msg, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonCatalogLogger

    public NonCatalogLogger(java.lang.String mySubsystem)

  Parameters:
    `subsystem` - Denotes a functional subsystem which is the source of this message. If none is specified, the value "Unknown" is used. Subsystems created by this constructor are added to the system-wide subsystem list. For example, this list is used in setting log filter properties in the administration console.

Method Detail

### error

    public void error(java.lang.String msg)

  Log a message with severity 'Error'

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable t)

### warning

    public void warning(java.lang.String msg)

  Log a message with severity 'Warning'

### warning

    public void warning(java.lang.String msg,
                        java.lang.Throwable t)

### info

    public void info(java.lang.String msg)

  Log an informational message.

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable t)

### debug

    public void debug(java.lang.String msg)

  Log a debug message. Debug messages should be logged only on an as-needed basis. Calls to these messages should be enabled or disabled dynamically based on application properties. By default no debug messages should be logged.

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD